From b95aee4d3c6688ac28bc6aa43c70b68ade5eab6b Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Dec 14 2015 18:24:24 +0000
Subject: [PATCH 239/1001] Mark up feed entries with links to other hub users.


---

diff --git a/hubs/widgets/feed.py b/hubs/widgets/feed.py
index d3d0b4b..058c280 100644
--- a/hubs/widgets/feed.py
+++ b/hubs/widgets/feed.py
@@ -13,6 +13,8 @@ import jinja2
 import munch
 import requests
 
+import flask
+
 import hubs.validators as validators
 
 import datetime
@@ -39,7 +41,7 @@ template = jinja2.Template("""
         </a>
       </div>
       <div class="media-body">
-        <h4 class="media-heading">{{match['subtitle']}}</h4>
+        <h4 class="media-heading">{{match['markup']}}</h4>
         {{match['human_time']}}
       </div>
     </div>
@@ -106,6 +108,23 @@ def data(session, widget, username, fmn_context):
     # Smash multiple messages into single ones
     matches = fedmsg.meta.conglomerate(matches, **config)
 
+    # Apply some html markup to the subtitles for extra fanciness.
+    for match in matches:
+        match['markup'] = match['subtitle']
+        for username in match['usernames']:
+            match['markup'] = match['markup'].replace(
+                username, '<a href="{url}">@{username}</a>'.format(
+                    url=flask.url_for('hub', name=username),
+                    username=username,
+                ))
+        for package in match['packages']:
+            match['markup'] = match['markup'].replace(
+                package, '<a href="{url}">{package}</a>'.format(
+                    url='https://apps.fedoraproject.org/packages/' + package,
+                    package=package,
+                ))
+
+
     return dict(
         matches=matches,
     )

